List directory
List direct children of one directory relative to the requested location.
GET
/api/fs/listQuery parameters
locationobject | anypathstring | anyResponses
200Success
locationLocation.InforequiredShow propertiesHide properties
directorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectprojectobjectrequiredShow propertiesHide properties
idstringrequireddirectorystringrequireddataFileSystem.Entry[]requiredShow propertiesHide properties
Array of
FileSystem.EntrypathstringrequiredtypestringrequiredAllowed:
filedirectory400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/fs/list"const response = await fetch("/api/fs/list", {
method: "GET"
});import requests
response = requests.get(
"/api/fs/list",
)Response
{
"location": {
"directory": "string",
"workspaceID": {},
"project": {
"id": "string",
"directory": "string"
}
},
"data": [
{
"path": "string",
"type": "file"
}
]
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}